Bug 250568 - Enabling desktop effects from having none leaves cube only partially functional
Summary: Enabling desktop effects from having none leaves cube only partially functional
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-02 09:49 UTC by David Campbell
Modified: 2018-04-11 17:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 18:52:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my xorg.conf (1.11 KB, application/octet-stream)
2007-08-02 10:54 UTC, David Campbell
no flags Details
log file from when X server started with my xorg.conf (45.88 KB, text/plain)
2007-08-02 10:55 UTC, David Campbell
no flags Details
log file from when X server started with no xorg.conf (48.33 KB, text/plain)
2007-08-02 10:56 UTC, David Campbell
no flags Details

Description David Campbell 2007-08-02 09:49:17 UTC
Description of problem:

If you've booted without desktop effects and then you enable effects - wobble
and workspaces on a cube, then wobble works and if you drag a window off the
screen you get the cube effect, but if you click the workspaces in the bottom
right corner, you don't see the cube effect at all.

Version-Release number of selected component (if applicable):

Full 2.6.22.1-41.fc7 release

How reproducible:

Boot without effects enabled.  Enable it, and click the workspaces in the bottom
right.
  
Actual results:

No cube

Expected results:

Cube behaviour

Comment 1 Matěj Cepl 2007-08-02 10:24:20 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.


Comment 2 David Campbell 2007-08-02 10:54:41 UTC
Created attachment 160510 [details]
my xorg.conf

Comment 3 David Campbell 2007-08-02 10:55:59 UTC
Created attachment 160511 [details]
log file from when X server started with my xorg.conf

Comment 4 David Campbell 2007-08-02 10:56:58 UTC
Created attachment 160512 [details]
log file from when X server started with no xorg.conf

Comment 5 David Campbell 2007-08-02 11:01:23 UTC
OK I did what you asked for, files are attached.

My xorg.conf file is completely default anyway, so nothing exciting there.

For each of the log files, I started the server with desktop effects disabled,
then enabled it, and clicking the workspaces at the bottom right did not
cube-rotate.

This used to work with the fedora 7 install from the install DVD.  Present
version doesn't seem to.




Comment 6 Adam Jackson 2007-08-14 15:29:09 UTC
Compiz bug, not X server bug.

Comment 7 Kristian Høgsberg 2007-08-14 18:52:44 UTC
Should be fixed in compiz-0.5.2-4.0ec3ec.fc8.


Comment 8 David Campbell 2007-08-14 22:25:20 UTC
I'm the original reporter of this bug, and I do not use compiz, but rather the
fedora 7 default - metacity!!

Thus I do not understand why this has been assigned to compiz and closed.


Comment 9 David Campbell 2007-08-14 22:30:40 UTC
Someone in #fedora has now told me that activating desktop effects does use
compiz, so that explains it.  The things you learn.



Note You need to log in before you can comment on or make changes to this bug.